\ProvidesPackageRCS $Header: /cvsroot/latex-beamer/latex-beamer/themes/outer/beamerouterthemeonera2007.sty,v 1.4 2004/10/07 22:21:16 tantau Exp $

% Copyright 2003 by Till Tantau <tantau@users.sourceforge.net>
% Copyright 2005-2007 by Frank Jouhaud <Frank.Jouhaud@onera.fr>
% Copyright 2009 by Julien Marty <Julien.Marty@onera.fr>
%
% This program can be redistributed and/or modified under the terms
% of the GNU Public License, version 2.

\mode<presentation>

\setbeamercolor{section in head/foot}{parent=palette quaternary}
\setbeamercolor{subsection in head/foot}{parent=palette primary}

\setbeamercolor{author in head/foot}{parent= structure}
\setbeamercolor{title in head/foot}{parent= structure}

 \newcommand{\slidecaption}{\@dblarg\beamer@slidecaption}
\long\def\beamer@slidecaption[#1]#2{%
  \def\insertslidecaption{#2}%
  \def\beamer@shortslidecaption{#1}%
  }
\slidecaption{}

% \newcommand{\introOnera}{
%\frame[plain]{
%\hspace*{-1.1cm}
%\pgfuseimage{oneraIntro}
%}
 %}

\setbeamerfont{section in head/foot}{size=\tiny}
\setbeamercolor{section in head/foot}{fg=white}
\setbeamerfont{title in head/foot}{size=\small}
\setbeamerfont{author in head/foot}{size=\small}

\beamer@compresstrue
%
% HEAD LINE
%
\defbeamertemplate*{headline}{onera2008}%{onera2007 theme}
{%
  \leavevmode%
  \hfill 
  \hbox{%
    \begin{beamercolorbox}[ht=0.25cm,dp=1.125ex]{section in head/foot} % avec rond [ignorebg,ht=0.25cm,dp=1.125ex]
      \insertnavigation{0.7\paperwidth} % avec rond
  \end{beamercolorbox}}% % avec rond
  \vskip0pt%
  \vspace{+0.10cm}%
 }

%
% FOOT LINE
%
\defbeamertemplate*{footline}{onera2008}%{onera2007 theme}
{%
  \leavevmode%
  \hbox{%
  \begin{beamercolorbox}[wd=\paperwidth,left,ht=2.5ex,dp=1.125ex,leftskip=0.3cm,rightskip=0pt]{title in head/foot}% ht=2.5ex
 \ifx\insertslidecaption\@empty
~\usebeamerfont{title in head/foot}\insertshorttitle \newline \usebeamerfont{author in head/foot}\insertshortauthor ~- \insertshortdate
  \else
\usebeamerfont{title in head/foot}\insertslidecaption  \fi
 ~-  \insertframenumber/\inserttotalframenumber  \; %\logo{\pgfuseimage{logo}}
%\insertlogo
  \end{beamercolorbox}}%
 \hfill 
  \vskip0pt%
 }

\mode
<all>
